Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

grouplist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: grouplist.php 6235 2001-07-20 11:45:40Z jakobn $
5 //
6 // Created on: <20-Sep-2000 13:32:11 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31 $Language = $ini->variable( "eZUserMain", "Language" );
32
33 // include_once( "ezuser/classes/ezuser.php" );
34 // include_once( "ezuser/classes/ezusergroup.php" );
35
36 require( "kernel/ezuser/admin/admincheck.php" );
37
38 $t = new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "AdminTemplateDir" ),
39 "kernel/ezuser/admin/" . "/intl", $Language, "grouplist.php" );
40 $t->setAllStrings();
41
42 $t->set_file( array(
43 "group_list_page" => "grouplist.tpl"
44 ) );
45
46 $t->set_block( "group_list_page", "group_item_tpl", "group_item" );
47
48 $t->set_var( "site_style", $SiteDesign );
49
50 $group = new eZUserGroup();
51
52 $groupList = $group->getAll();
53
54 $i=0;
55 foreach( $groupList as $groupItem )
56 {
57 if ( ( $i %2 ) == 0 )
58 $t->set_var( "td_class", "bglight" );
59 else
60 $t->set_var( "td_class", "bgdark" );
61
62
63 $t->set_var( "group_id", $groupItem->id() );
64 $t->set_var( "group_name", $groupItem->name() );
65 $t->set_var( "group_description", $groupItem->description() );
66
67 $t->parse( "group_item", "group_item_tpl", true );
68 $i++;
69 }
70
71 $t->pparse( "output", "group_list_page" );
72
73 ?>
eZTemplate
Definition: eztemplate.php:107
eZUserGroup
Definition: ezusergroup.php:66
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
$t
$t
Definition: grouplist.php:38
$i
$i
Definition: grouplist.php:54
$groupList
$groupList
Definition: grouplist.php:52
$Language
$Language
Definition: grouplist.php:31
$ini
$ini
Definition: grouplist.php:30
$group
$group
Definition: grouplist.php:50
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.